Name:		grsync
Version:	1.2.6
Summary:	A GTK GUI for rsync
Release:	%mkrel 1
License:	GPLv2
Group:		Networking/File transfer
URL:		http://www.opbyte.it/grsync/
Source0:	http://www.opbyte.it/release/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig
BuildRequires:	gtk+2-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	intltool
BuildRequires:	imagemagick
Requires:	rsync
# For 'Run as superuser' option
Requires:	polkit-agent

%description
Grsync is a GUI for rsync, the command line directory
synchronization tool. While it can work with remote
hosts, its focus is to synchronize local directories.

%prep
%setup -q

# Fix EOLs
dos2unix NEWS AUTHORS README

%build
%configure2_5x \
	--disable-unity
%make LIBS="-lm"

%install
%makeinstall_std

# Generate and install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{64x64,32x32,16x16,128x128}/apps
convert -scale 64 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 32 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/

# Desktop file
perl -p -i -e 's/grsync.png/grsync/g' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Filesystem" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/grsync.xml
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-grsync-session.png
%{_datadir}/pixmaps/grsync-busy.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat May 21 2016 wally <wally> 1.2.6-1.mga6
+ Revision: 1017346
- new version 1.2.6

* Mon Feb 01 2016 umeabot <umeabot> 1.2.5-4.mga6
+ Revision: 930696
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-3.mga5
+ Revision: 750825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-2.mga5
+ Revision: 679951
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 wally <wally> 1.2.5-1.mga5
+ Revision: 666595
- new version 1.2.5

* Thu Jun 19 2014 wally <wally> 1.2.4-3.mga5
+ Revision: 638142
- require polkit-agent for 'Run as superuser' option (mga#13540)

* Sat Oct 19 2013 umeabot <umeabot> 1.2.4-2.mga4
+ Revision: 529797
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 wally <wally> 1.2.4-1.mga4
+ Revision: 453421
- new version 1.2.4

* Sat Feb 23 2013 wally <wally> 1.2.3-1.mga3
+ Revision: 400043
- new version 1.2.3

* Sat Jan 12 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 352679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 wally <wally> 1.2.2-2.mga3
+ Revision: 309684
- fix group

* Wed Oct 24 2012 wally <wally> 1.2.2-1.mga3
+ Revision: 309669
- new version 1.2.2

* Sat Feb 11 2012 wally <wally> 1.2.1-1.mga2
+ Revision: 207206
- disable unity support
- new version 1.2.1
- drop Mdv specific category from .desktop file
- minor .spec cleanup

* Tue Oct 11 2011 wally <wally> 1.2.0-2.mga2
+ Revision: 153914
- fix desktop file (show meny entry in KDE menu, mga#2186)
- new version 1.2.0

* Sun Feb 20 2011 wally <wally> 1.1.1-2.mga1
+ Revision: 54568
- drop buildroot definition
- drop old mdv scriptlets
- imported package grsync

